<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/integrations/cloud-notifications/integrations/mattermost.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/integrations/cloud-notifications/metadata.yaml"
sidebar_label: "Mattermost"
learn_status: "Published"
learn_rel_path: "Alerts & Notifications/Notifications/Centralized Cloud Notifications"
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE NOTIFICATION'S metadata.yaml FILE"
endmeta-->

# Mattermost

<img src="https://netdata.cloud/img/mattermost.png" width="150"/>

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Setup

### Prerequisites

- A Netdata Cloud account
- Access to the Space as an **Admin**
- The Space needs to be on a paid plan
- You need to have permissions on Mattermost to add new integrations.

### Mattermost Server Configuration

1. In Mattermost, go to Product menu > Integrations > Incoming Webhook
    - If you don't have the Integrations option, incoming webhooks may not be enabled on your Mattermost server or may be disabled for non-admins. They can be enabled by a System Admin from System Console > Integrations > Integration Management. Once incoming webhooks are enabled, continue with the steps below.
2. Select Add Incoming Webhook and add a name and description for the webhook.
3. Select the channel to receive webhook payloads, then select Add to create the webhook
4. You will end up with a webhook URL that looks like `https://your-mattermost-server.com/hooks/xxx-generatedkey-xxx`, copy it in order to add it to your integration configuration in the Netdata Cloud UI

For more details please check [Incoming webhooks for Mattermost](https://developers.mattermost.com/integrate/webhooks/incoming/).

### Netdata Configuration

1. Click on the **Space settings** cog (located above your profile icon)
2. Click on the **Alerts & Notifications** tab
3. Click on the **+ Add configuration** button
4. Add the Mattermost Integration
5. A modal will be presented to you to enter the required details to enable the integration:
    - **Notification settings**
      - Configuration name (optional): A name for your configuration in order to easily refer to it
      - Rooms: A list of Rooms for which you want to be notified
      - Notifications: The notifications which you want to be notified
    - **Integration configuration**
      - Webhook URL: URL provided on Mattermost for the channel you want to receive your notifications


