<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/src/collectors/apps.plugin/integrations/user_groups.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/src/collectors/apps.plugin/metadata.yaml"
sidebar_label: "User Groups"
learn_status: "Published"
learn_rel_path: "Collecting Metrics/Processes and System Services"
most_popular: False
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE COLLECTOR'S metadata.yaml FILE"
endmeta-->

# User Groups


<img src="https://netdata.cloud/img/user.svg" width="150"/>


Plugin: apps.plugin
Module: groups

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Overview

This integration monitors resource utilization on a user groups context.



This collector is supported on all platforms.

This collector supports collecting metrics from multiple instances of this integration, including remote instances.


### Default Behavior

#### Auto-Detection

This integration doesn't support auto-detection.

#### Limits

The default configuration for this integration does not impose any limits on data collection.

#### Performance Impact

The default configuration for this integration is not expected to impose a significant performance impact on the system.


## Metrics

Metrics grouped by *scope*.

The scope defines the instance that the metric belongs to. An instance is uniquely identified by a set of labels.



### Per user group

These metrics refer to the user group.

Labels:

| Label      | Description     |
|:-----------|:----------------|
| user_group | The name of the user group. |

Metrics:

| Metric | Dimensions | Unit |
|:------|:----------|:----|
| usergroup.cpu_utilization | user, system | percentage |
| usergroup.cpu_guest_utilization | guest | percentage |
| usergroup.cpu_context_switches | voluntary, involuntary | switches/s |
| usergroup.mem_usage | rss | MiB |
| usergroup.mem_private_usage | mem | MiB |
| usergroup.vmem_usage | vmem | MiB |
| usergroup.mem_page_faults | minor, major | pgfaults/s |
| usergroup.swap_usage | swap | MiB |
| usergroup.disk_physical_io | reads, writes | KiB/s |
| usergroup.disk_logical_io | reads, writes | KiB/s |
| usergroup.processes | processes | processes |
| usergroup.threads | threads | threads |
| usergroup.fds_open_limit | limit | percentage |
| usergroup.fds_open | files, sockets, pipes, inotifies, event, timer, signal, eventpolls, other | fds |
| usergroup.uptime | uptime | seconds |
| usergroup.uptime_summary | min, avg, max | seconds |



## Alerts

There are no alerts configured by default for this integration.


## Setup

### Prerequisites

No action required.

### Configuration

#### File

There is no configuration file.
#### Options



There are no configuration options.

#### Examples
There are no configuration examples.


