<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/src/collectors/cgroups.plugin/integrations/systemd_services.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/src/collectors/cgroups.plugin/metadata.yaml"
sidebar_label: "Systemd Services"
learn_status: "Published"
learn_rel_path: "Collecting Metrics/Systemd"
most_popular: True
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE COLLECTOR'S metadata.yaml FILE"
endmeta-->

# Systemd Services


<img src="https://netdata.cloud/img/systemd.svg" width="150"/>


Plugin: cgroups.plugin
Module: /sys/fs/cgroup

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Overview

Monitor Containers for performance, resource usage, and health status.



This collector is supported on all platforms.

This collector supports collecting metrics from multiple instances of this integration, including remote instances.


### Default Behavior

#### Auto-Detection

This integration doesn't support auto-detection.

#### Limits

The default configuration for this integration does not impose any limits on data collection.

#### Performance Impact

The default configuration for this integration is not expected to impose a significant performance impact on the system.


## Metrics

Metrics grouped by *scope*.

The scope defines the instance that the metric belongs to. An instance is uniquely identified by a set of labels.



### Per systemd service



Labels:

| Label      | Description     |
|:-----------|:----------------|
| service_name | Service name |

Metrics:

| Metric | Dimensions | Unit |
|:------|:----------|:----|
| systemd.service.cpu.utilization | user, system | percentage |
| systemd.service.memory.usage | ram, swap | MiB |
| systemd.service.memory.failcnt | fail | failures/s |
| systemd.service.memory.ram.usage | rss, cache, mapped_file, rss_huge | MiB |
| systemd.service.memory.writeback | writeback, dirty | MiB |
| systemd.service.memory.paging.faults | minor, major | MiB/s |
| systemd.service.memory.paging.io | in, out | MiB/s |
| systemd.service.disk.io | read, write | KiB/s |
| systemd.service.disk.iops | read, write | operations/s |
| systemd.service.disk.throttle.io | read, write | KiB/s |
| systemd.service.disk.throttle.iops | read, write | operations/s |
| systemd.service.disk.queued_iops | read, write | operations/s |
| systemd.service.disk.merged_iops | read, write | operations/s |
| systemd.service.pids.current | pids | pids |



## Alerts

There are no alerts configured by default for this integration.


## Setup

### Prerequisites

No action required.

### Configuration

#### File

There is no configuration file.
#### Options



There are no configuration options.

#### Examples
There are no configuration examples.


