<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/src/collectors/proc.plugin/integrations/kernel_same-page_merging.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/src/collectors/proc.plugin/metadata.yaml"
sidebar_label: "Kernel Same-Page Merging"
learn_status: "Published"
learn_rel_path: "Collecting Metrics/Linux Systems/Memory"
most_popular: False
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE COLLECTOR'S metadata.yaml FILE"
endmeta-->

# Kernel Same-Page Merging


<img src="https://netdata.cloud/img/microchip.svg" width="150"/>


Plugin: proc.plugin
Module: /sys/kernel/mm/ksm

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Overview

Kernel Samepage Merging (KSM) is a memory-saving feature in Linux that enables the kernel to examine the
memory of different processes and identify identical pages. It then merges these identical pages into a
single page that the processes share. This is particularly useful for virtualization, where multiple virtual
machines might be running the same operating system or applications and have many identical pages.

The collector provides information about the operation and effectiveness of KSM on your system.




This collector is supported on all platforms.

This collector only supports collecting metrics from a single instance of this integration.


### Default Behavior

#### Auto-Detection

This integration doesn't support auto-detection.

#### Limits

The default configuration for this integration does not impose any limits on data collection.

#### Performance Impact

The default configuration for this integration is not expected to impose a significant performance impact on the system.


## Metrics

Metrics grouped by *scope*.

The scope defines the instance that the metric belongs to. An instance is uniquely identified by a set of labels.



### Per Kernel Same-Page Merging instance



This scope has no labels.

Metrics:

| Metric | Dimensions | Unit |
|:------|:----------|:----|
| mem.ksm | shared, unshared, sharing, volatile | MiB |
| mem.ksm_savings | savings, offered | MiB |
| mem.ksm_ratios | savings | percentage |



## Alerts

There are no alerts configured by default for this integration.


## Setup

### Prerequisites

No action required.

### Configuration

#### File

There is no configuration file.
#### Options



There are no configuration options.

#### Examples
There are no configuration examples.


